Bug 436610 - 'yum remove glibc.ppc64' wants to remove ppc32 packages.
'yum remove glibc.ppc64' wants to remove ppc32 packages.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pango (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 05:15 EST by David Woodhouse
Modified: 2014-01-21 18:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:42:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2008-03-08 05:15:59 EST
http://david.woodhou.se/wtf.txt



Expected results:
Well, not removing gtk2.ppc would be a good start...
Comment 1 David Woodhouse 2008-03-08 05:38:29 EST
It doesn't seem too sure about ordering when you let it go ahead either, judging
by the number of scriptlet errors... http://david.woodhou.se/wtf2.txt

(I saved the RPM database from beforehand, in case it's useful)
Comment 2 Seth Vidal 2008-03-08 10:46:20 EST
need more info:

1. what ver of yum is this?
2. can you rerun the first output with yum -d 5 

Comment 3 Seth Vidal 2008-03-08 10:50:59 EST
The ordering is handled by rpm. So any ordering issue needs to be filed against it.
Comment 4 James Antill 2008-03-09 14:41:12 EDT
 So this is a general problem, in that yum wants to remove a bunch of .x86_64
packages if I do: "yum remove glibc.i686" on my x86_64 box.

 The general problem goes something like:

% rpm -q libX11-devel                   
libX11-devel-0:1.1.3-4.fc8.x86_64
libX11-devel-0:1.1.3-4.fc8.i386
% rpm -q libxcb-devel              
libxcb-devel-0:1.0-4.fc8.i386

...where libX11-devel.x86_64 just depends on libxcb-devel, so is "satisfied"
from the above ... as far as yum knows. But now removing anything which gets rid
of libxcb-devel.i386 will get rid of libX11-devel.x86_64.
 If this is a bug, it's the fact that rpm doesn't do arch based deps.

 Then there are are also even longer chains like:

 1. metacity.arch1 deps. on glibc.arch1
 2. nodoka-metacity-theme.noarch deps. on metacity.arch1
 3. fedora-gnome-theme.noarch deps. on nodoka-metacity-theme.noarch
 4. libgnome.arch* deps. on fedora-gnome-theme 

...so if you only have one metacity installed, and it's the same arch as what
you removed ... you are going to cross arches at #4.
 And I'm not even sure you can classify that as a bug.


 From what I can see of your paste, the big question is why pango.ppc got marked
for removal ... and I've tried to work that out by hand, and can't see it yet.
 According to yum it's related to libX11-devel, but I don't see the cross over
point.
Comment 5 Seth Vidal 2008-03-09 15:44:42 EDT
which is why I wanted to see debug logs
Comment 6 David Woodhouse 2008-03-09 16:21:51 EDT
I took a copy of /var/lib/rpm before I let it go ahead, which is at
http://bombadil.infradead.org/~dwmw2/rpmdb-bz436610.tar.gz 
Comment 7 James Antill 2008-03-10 02:19:20 EDT
 So I wrote a yum based command to show all the deps. for a package, it looks
like it works to me:

http://people.redhat.com/jantill/yum/commands/pkg-deps-tree-view.py

...and with the data you posted it shows that pango has a dep. for _just_
"libXext " which was satisfied by:

 libXext.ppc64
 libXext-devel.ppc
 libXext-devel.ppc64

...so as soon as you removed glibc.ppc that took out libXext.ppc64, which took
out pango ... which then took out a whole bunch of stuff. So it is case #1 from
comment 4
Comment 8 David Woodhouse 2008-03-10 03:53:19 EDT
That's not NOTABUG then; it should be refiled against pango for having that
bogus dependency (as well as the other bogus deps it has).

Pango also has deps on libX11, libXft and libXrender, which are duplicated by
automatically detected on libX11.so.6, libXft.so.2 and libXrender.so.1
respectively. So those can presumably just be dropped.

Not sure about the libXext dependency -- that one isn't automatically detected.
If it's _real_, then there's a possibility this bug will be refiled against RPM
and subsequently marked as a dupe of bug 235755. Let's see...
Comment 9 Behdad Esfahbod 2008-03-10 05:59:16 EDT
Why's that assigned to me again?
Comment 10 David Woodhouse 2008-03-10 11:53:45 EDT
Because pango has bogus dependencies. It shouldn't have explicit Requires: for
things like 'libX11', which is satisfied even by libX11.i386 when the pango
package is x86_64, etc.

The one which caused this bug to be filed was the 'libXext' dependency.
Comment 11 Bug Zapper 2008-11-26 05:04:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-01-09 02:42:23 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.